Platform & IdentityStores
Schedule the store for deletion
Takes the storefront offline and schedules the store for permanent deletion after a 30 day grace period. The confirmation must match the store name.
POST
/v1/stores/deletionTakes the storefront offline and schedules the store for permanent deletion after a 30 day grace period. The confirmation must match the store name.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/stores/deletion" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "confirmation": "example" }'{ "status": "active", "requestedOn": "2026-08-01T15:30:00Z", "scheduledOn": "2026-08-01T15:30:00Z"}